iofem

## Public Member Functions

| o_scalar (field_sequential, topography) o_scalar(point
origin | o_scalar (point, normal) o_scalar(point_basic< size_t >
| iofem ()
| ~iofem ()

## Static Public Member Functions

static long | flags (std::ios &s)
static long | flags (std::ios &s, long f)
static long | setf (std::ios &s, long add_f)
static long | setf (std::ios &s, long add_f, long field)
static long | unsetf (std::ios &s, long del_f)

## Static Protected Member Functions

static iofem * | get_pointer (std::ios &s)

## Detailed Description

Definition at line 67 of file iofem.h.

## Constructor & Destructor Documentation

## iofem()

iofem | ( |  | ) |

Definition at line 44 of file iofem.cc.

## ~iofem()

~iofem | ( |  | ) |

Definition at line 52 of file iofem.cc.

## Member Function Documentation

## o_scalar() [1/2]

o_scalar | ( | field_sequential | ,
|  | topography |
| ) |  |

## o_scalar() [2/2]

origin o_scalar | ( | point | ,
|  | normal |
| ) |  |

## flags() [1/2]

static long flags | ( | std::ios & | s | ) |

static

## flags() [2/2]

static long flags | ( | std::ios & | s,
|  | long | f
| ) |  |

static

## setf() [1/2]

static long setf | ( | std::ios & | s,
|  | long | add_f
| ) |  |

static

## setf() [2/2]

static long setf | ( | std::ios & | s,
|  | long | add_f,
|  | long | field
| ) |  |

static

## unsetf()

static long unsetf | ( | std::ios & | s,
|  | long | del_f
| ) |  |

static

## get_pointer()

iofem * get_pointer | ( | std::ios & | s | ) |

static protected

Definition at line 66 of file iofem.cc.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/iofem.h
- /build/rheolef-FQTnje/rheolef-7.1/main/lib/iofem.cc